/*
  Name: ./style.css
  Auth: Josh Miedema of Logicality Consulting
  Date: Oct 15 2022
  Rvsn: 1.0
  Updt: Oct 23 2022
*/
tr.event-input>* {
  padding-bottom: 3px;
}

.col-xs-3 {
  padding-left: 10px;
  padding-right: 10px;
}

.inputpane {
  transition: border 0.5s ease-out, width 0.25s ease-out, height 0.5s ease-out 0.25s;
  width: 100%;
  /*max-height: 271px;*/
  height: 271px;
  border: inset 2px #286090;
  border-radius: 5px;
  overflow: hidden;
  overflow-y: auto;
}

.inputpaneFooter {
  padding-top: 220px;
}

@media (max-width:767px) {
  .inputpane {
    max-width: 97%;
    margin-right: 10px!important;
  }
}

.headroom {
  margin-top: 10px;
}

.cal-row {
  border: inset 2px #286090;
  border-radius: 5px;
}

.lchide {
  transition: height 0.5s ease-out, border 0.5s ease-out 0.5s, width 0.5s ease-in 0.5s;
  height: 0px;
  width: 0%;
  border: inset 0px #286090;
}

#userEventList {
  margin-top: -2px;
  max-height: 196px;
  min-height: 35px;
  overflow-y: auto;
  overflow-x: hidden;
}

.userEvent {
  width: 100%;
  min-height: 35px;
  max-height: 35px;
  padding: 5px;
  margin-top: 1px;
  margin-bottom: -10px;
  overflow: hidden;
  cursor: pointer;
  border: solid 2px #FFFFFF;
  border-radius: 10px 10px 2px 2px;
  transition: all 0.2s ease-in-out;
}

.userEvent:hover {
  transition: background-color 0.2s ease-in-out;
  background-color: #DDDDDD !important;
  margin-bottom: 0px;
}

.userEvent:active {
  transition: all 0.3s cubic-bezier(1, -0.95, 0, 0.77);
  margin-left: 10px;
  margin-bottom: 0px;
  width: 95%;
}

.userEvent.selected {
  transition: all 0.3s cubic-bezier(1, -0.95, 0, 0.77);
  background-color: #DDDDDD;
  margin-left: 10px;
  margin-bottom: 0px;
  width: 95%;
  border: solid 3px #444444;
}

.calSettings {
  max-height: 220px;
}

.btn-space {
  margin-right: 5px;
}

.zoomlvl {
  float: left;
}

.impExport {
  float: right;
}

#calsize {
  clear: both;
  float: right;
  margin-right: 5px;
}

#calWrap {
  overflow-x: scroll;
  overflow-y: auto;
  max-height: 50vh;
  padding: 0;
}

.zoomIn:hover, .zoomOut:hover, .zoomRes:hover {
  border: solid 1px #EEE;
  transition: border 0.2s ease-in-out;
}
